# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Digest-MD4
Version:	1.9
Release:	11.%{__distinit}%{__distvers}
Summary:	Perl interface to the MD4 Algorithm
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Digest-MD4/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/DigestMD4/Digest-MD4-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gdbm-devel
%if 0%{?fedora} > 13 || 0%{?rhel} > 6
BuildRequires:	libdb-devel
%else
BuildRequires:	db4-devel
%endif
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires:	perl-devel
%endif
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(MIME::Base64)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The Digest::MD4 module allows you to use the RSA Data Security Inc. MD4 Message
Digest algorithm from within Perl programs. The algorithm takes as input a
message of arbitrary length and produces as output a 128-bit "fingerprint" or
"message digest" of the input.

%prep
%setup -q -n Digest-MD4-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README rfc1320.txt
%{perl_vendorarch}/Digest/
%{perl_vendorarch}/auto/Digest/
%{_mandir}/man3/Digest::MD4.3*

%changelog
* Fri Aug 19 2016 Paul Howarth <paul@city-fan.org> - 1.9-11
- Classify buildreqs by usage
- Simplify find commands using -delete

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> 1.9-6
- Drop %%defattr, redundant since rpm 4.4

* Sat Jul 13 2013 Paul Howarth <paul@city-fan.org> 1.9-2
- Perl 5.18 rebuild

* Fri Mar 22 2013 Paul Howarth <paul@city-fan.org> 1.9-1
- Update to 1.9
  - Updated author and distribution location details to airspayce.com

* Fri Mar 15 2013 Paul Howarth <paul@city-fan.org> 1.8-1
- Update to 1.8
  - Fixed example output in doc in MD4.pm
  - Removed defunct code that prevented building on 64-bit platforms
- BR: perl(File::Spec)

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> 1.5-18
- Build with libdb-devel rather than db4-devel for RHEL > 6
- BR: perl(Exporter)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> 1.5-11
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.5-10
- Rebuild for perl 5.12.1 in Rawhide
- Use libdb-devel rather than db4-devel from Fedora 14 onwards

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> 1.5-9
- Fix dist tag for RHEL-6 Beta

* Sun Feb 21 2010 Paul Howarth <paul@city-fan.org> 1.5-8
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep  9 2009 Paul Howarth <paul@city-fan.org> 1.5-7
- Use %%{?perl_default_filter} for provides filtering
- Add buildreqs gdbm-devel and db4-devel to optimize alignment

* Sun Mar  1 2009 Paul Howarth <paul@city-fan.org> 1.5-6
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 1.5-5
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 1.5-4
- BuildRequire perl(ExtUtils::MakeMaker)
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 1.5-3
- Disregard distribution sub-release number in dist tag
- Define %%{__id_u} in a more portable way

* Tue Jan 17 2006 Paul Howarth <paul@city-fan.org> 1.5-2
- Import to local repo from Fedora Extras

* Sat Sep 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-1
- First build
